
FIND_PATH (MORFO_INCLUDE_DIR tokenizer.h /usr/include /usr/local/include)

FIND_PATH (MORFO_LING_DATA_DIR tokenizer.dat /usr/share/FreeLing/gl /usr/local/share/FreeLing/gl)

FIND_LIBRARY (MORFO_LIBRARY NAMES morfo PATH /usr/lib /usr/local/include)

IF (NOT MORFO_INCLUDE_DIR)
	MESSAGE (SEND_ERROR "tokenizer.h not found. Set MORFO_INCLUDE_DIR")
ELSE (NOT MORFO_INCLUDE_DIR)
	MESSAGE (STATUS "include: ${MORFO_INCLUDE_DIR}")
ENDIF (NOT MORFO_INCLUDE_DIR)

IF (NOT MORFO_LIBRARY)
	MESSAGE (SEND_ERROR "libmorfo not found. Set MORFO_LIBRARY")
ELSE (NOT MORFO_LIBRARY)
	MESSAGE (STATUS "lib: ${MORFO_LIBRARY}")
ENDIF (NOT MORFO_LIBRARY)

IF (NOT MORFO_LING_DATA_DIR)
	MESSAGE (SEND_ERROR "linguistic data not found. Set MORFO_LING_DATA_DIR")
ELSE (NOT MORFO_LING_DATA_DIR)
	MESSAGE (STATUS "linguistic data: ${MORFO_LING_DATA_DIR}")
ENDIF (NOT MORFO_LING_DATA_DIR)
