/*
 *
 * Copyright (C) 2006-2007  imaxin|software
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 * */

#include <iostream>
#include <string>

#include <stdlib.h>
#include <string.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <unistd.h>

#define PORT 3551
#define BACKLOG 2
#define MAXDATASIZE 1000

using namespace std;

class GrammarService
{
	private:

		int fd, fd2, fd3;
		struct sockaddr_in server;
		struct sockaddr_in client;
		char buf[MAXDATASIZE];

	public:
		GrammarService();
		~GrammarService();
		string ReadSentence(void);
		void SendSentence(string text);
};
