/*
 * GlfCore.java
 *
 * Created on 21 de mayo de 2007, 16:11
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */
package com.imaxin.exeria.utilities;

import java.io.BufferedReader;
import java.io.DataOutputStream;
import java.io.File;
import java.io.FileWriter;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author adrian
 */
public class XeCore {

    private static ProcessBuilder pb;
    private static Process proceso;
    public static BufferedReader brIS;
    public static BufferedReader brEIS;
    public static DataOutputStream procesoOS;
    private static final String PROCESS_NAME = "xecore.exe";

    public static void startService() {                
        try {

            if (System.getProperty("os.name").toUpperCase().indexOf("LINUX") != -1) {
                pb = new ProcessBuilder("/usr/bin/xecore", "-s");
                pb.directory(new File("/usr/bin"));
            } else if (System.getProperty("os.name").toUpperCase().indexOf("WINDOWS") != -1) {
                String programsPath = System.getenv("PROGRAMFILES");
                pb = new ProcessBuilder(programsPath + "\\Exeria\\xecore\\bin\\xecore", "-s");
                pb.directory(new File(programsPath + "\\Exeria\\xecore\\bin"));
            } else if (System.getProperty("os.name").toUpperCase().indexOf("MAC OS X") != -1) {
                pb = new ProcessBuilder("/usr/bin/xecore", "-s");
                pb.directory(new File("/usr/bin"));
            }

            proceso = pb.start();

            brIS = new BufferedReader(new InputStreamReader(proceso.getInputStream()));
            brEIS = new BufferedReader(new InputStreamReader(proceso.getErrorStream()));
            procesoOS = new DataOutputStream(proceso.getOutputStream());

            emptyStreams();

        } catch (Exception e) {
            System.out.println("e = " + e);
        }

    }

    public static void restartService() {
        if (isRunning(PROCESS_NAME)) {
            kill();
        }
        try {
            Thread.sleep(100);
        } catch (InterruptedException ex) {
            Logger.getLogger(XeCore.class.getName()).log(Level.SEVERE, null, ex);
        }
        startService();
        try {
            Thread.sleep(100);
        } catch (InterruptedException ex) {
            Logger.getLogger(XeCore.class.getName()).log(Level.SEVERE, null, ex);
        }
    }

    public static void kill() {
        killProccess();
        killService();
    }

    private static void killService() {
        if (System.getProperty("os.name").toUpperCase().indexOf("LINUX") != -1) {
            try {
                Runtime.getRuntime().exec(new String[]{"killall", "xecore"});
            } catch (Exception e) {
                System.out.println("e = " + e);
            }
        } else if (System.getProperty("os.name").toUpperCase().indexOf("WINDOWS") != -1) {
            try {
                Runtime.getRuntime().exec(new String[]{"cmd.exe", "/C", "C:\\windows\\system32\\tskill /A xecore"});
            } catch (Exception e) {
                System.out.println("e = " + e);
            }
        } else if (System.getProperty("os.name").toUpperCase().indexOf("MAC OS X") != -1) {
            try {
                Runtime.getRuntime().exec(new String[]{"killall", "xecore"});
            } catch (Exception e) {
                System.out.println("e = " + e);
            }
        }

    }

    public static void killProccess() {

        if (proceso != null) {
            proceso.destroy();

            try {
                procesoOS.flush();
                brIS.close();
                brEIS.close();
                procesoOS.close();
            } catch (Exception e) {
                System.out.println("e = " + e);
            }
        }
    }

    public static void emptyStreams() {
        try {
            if (proceso != null) {
                if (brEIS.ready()) {
                    brEIS.readLine();
                }
                if (brIS.ready()) {
                    brIS.readLine();
                }
                procesoOS.flush();
            } else {
                XeCore.restartService();
            }
        } catch (Exception e) {
            System.out.println("e = " + e);
            XeCore.restartService();
        }
    }

    public static boolean isRunning(String process) {
        
        Process p               = null;        
        BufferedReader buffer   = null;
        String pid              = "";                
        boolean found             =  false;        
        
        if(System.getProperty("os.name").toUpperCase().indexOf("LINUX")!= -1) {
            try {
                p = Runtime.getRuntime().exec(new String[] {"pgrep", "GlfCore"});
                
                InputStream inputStream = p.getInputStream();
                buffer = new BufferedReader(new InputStreamReader(inputStream));
                
                //Get pid
                String temp = "";
                while((temp = buffer.readLine()) != null)
                    pid += temp;
                
                p.waitFor();
                p.getInputStream().close();
                p.getErrorStream().close();
                p.getOutputStream().close();
                p.destroy();
                
                if(pid != null && pid.length() > 0) {                    
                    found = true;
                }
            } catch (Exception ex) {
            }
            
        } else if(System.getProperty("os.name").toUpperCase().indexOf("MAC OS X")!= -1) {
            try {
                p = Runtime.getRuntime().exec(new String[] {"/usr/local/GlfCore/pidof","GlfCore"});
                
                InputStream inputStream = p.getInputStream();
                buffer = new BufferedReader(new InputStreamReader(inputStream));
                
                //Get pid
                String temp = "";
                while((temp = buffer.readLine()) != null)
                    pid += temp;
                
                p.waitFor();
                p.getInputStream().close();
                p.getErrorStream().close();
                p.getOutputStream().close();
                p.destroy();
                
                if(pid != null && pid.length() > 0) {                    
                    found = true;
                }
            } catch (Exception ex) {
            }
        } else if (System.getProperty("os.name").toUpperCase().indexOf("WINDOWS") != -1) {
        
        try {
            File file = File.createTempFile("realhowto", ".vbs");
            file.deleteOnExit();
            FileWriter fw = new java.io.FileWriter(file);

            String vbs = "Set WshShell = WScript.CreateObject(\"WScript.Shell\")\n" + "Set locator = CreateObject(\"WbemScripting.SWbemLocator\")\n" + "Set service = locator.ConnectServer()\n" + "Set processes = service.ExecQuery _\n" + " (\"select name from Win32_Process where name='" + process + "'\")\n" + "For Each process in processes\n" + "wscript.echo process.Name \n" + "Next\n" + "Set WSHShell = Nothing\n";

            fw.write(vbs);
            fw.close();
            p = Runtime.getRuntime().exec("cscript //NoLogo " + file.getPath());
            BufferedReader input =
                    new BufferedReader(new InputStreamReader(p.getInputStream()));
            String line;
            line = input.readLine();
            if (line != null) {
                if (line.equals(process)) {
                    found = true;
                }
            }
            input.close();

        } catch (Exception e) {
            e.printStackTrace();
        }                
    }
        return found;
    }
}
