#define XECORE_VERSION	${XECORE_VERSION}

#ifdef CYGWIN

#define TOKENIZER_PATH 	"../share/FreeLing/gl/tokenizer.dat"
#define SPLITTER_PATH 	"../share/FreeLing/gl/splitter.dat"
#define LOCUTIONS_PATH	"../share/FreeLing/gl/locucions.dat"
#define SUFFIX_PATH	"../share/FreeLing/gl/sufixos.dat"
#define PROBABILITY_PATH	"../share/FreeLing/gl/probabilitats.dat"
#define DICTIONARY_PATH	"../share/FreeLing/gl/maco.db"
#define NPDATAFILE_PATH	"../share/FreeLing/gl/np.dat"
#define PUNCTUATION_PATH	"../share/FreeLing/common/punct.dat"
#define QUANTIES_PATH	"../share/FreeLing/gl/quantities.dat"
#define TAGGER_PATH	"../share/FreeLing/gl/tagger.dat"

#define EXCEPTION_PATH	"../share/xecore/gl/excepcion_a_erro.db"
#define LEMMA_PATH	"../share/xecore/gl/lemas.db"
#define LEMMA_SOLUTION_PATH		"../share/xecore/gl/lema_solucion.db"
#define LEMMA_SOLUTION_INV_PATH		"../share/xecore/gl/lema_solucion_inv.db"
#define LEMMA_SOLUTION_INV1_PATH	"../share/xecore/gl/lema_solucion_inv1.db"

#else

#define TOKENIZER_PATH 	"${CMAKE_INSTALL_PREFIX}/share/xecore/FreeLing/gl/tokenizer.dat"
#define SPLITTER_PATH 	"${CMAKE_INSTALL_PREFIX}/share/xecore/FreeLing/gl/splitter.dat"
#define LOCUTIONS_PATH	"${CMAKE_INSTALL_PREFIX}/share/xecore/FreeLing/gl/locucions.dat"
#define SUFFIX_PATH	"${CMAKE_INSTALL_PREFIX}/share/xecore/FreeLing/gl/sufixos.dat"
#define PROBABILITY_PATH	"${CMAKE_INSTALL_PREFIX}/share/xecore/FreeLing/gl/probabilitats.dat"
#define DICTIONARY_PATH	"${CMAKE_INSTALL_PREFIX}/share/xecore/FreeLing/gl/maco.db"
#define NPDATAFILE_PATH	"${CMAKE_INSTALL_PREFIX}/share/xecore/FreeLing/gl/np.dat"
#define PUNCTUATION_PATH	"${CMAKE_INSTALL_PREFIX}/share/xecore/FreeLing/common/punct.dat"
#define QUANTIES_PATH	"${CMAKE_INSTALL_PREFIX}/share/xecore/FreeLing/gl/quantities.dat"
#define TAGGER_PATH	"${CMAKE_INSTALL_PREFIX}/share/xecore/FreeLing/gl/tagger.dat"

#define EXCEPTION_PATH	"${CMAKE_INSTALL_PREFIX}/share/xecore/gl/excepcion_a_erro.db"
#define LEMMA_PATH	"${CMAKE_INSTALL_PREFIX}/share/xecore/gl/lemas.db"
#define LEMMA_SOLUTION_PATH		"${CMAKE_INSTALL_PREFIX}/share/xecore/gl/lema_solucion.db"
#define LEMMA_SOLUTION_INV_PATH		"${CMAKE_INSTALL_PREFIX}/share/xecore/gl/lema_solucion_inv.db"
#define LEMMA_SOLUTION_INV1_PATH	"${CMAKE_INSTALL_PREFIX}/share/xecore/gl/lema_solucion_inv1.db"

#endif
