/*
 *
 * Copyright (C) 2006-2007  imaxin|software
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 * */

#include <iostream>
#include <string>
#include <db_cxx.h>
#include <pcrecpp.h>

#include "freeling.h"
#include "freeling/traces.h"

#include "Type.h"

using namespace std;

class HashFalse {
	private:
		Db *_dbp;
		Dbc *_cursor;		
		void copyToT_PATTERN(Dbt *data, T_PATTERN *buffer);
	
	public:
		HashFalse(const string path);
		~HashFalse();
	
		/* Bsqueda de un patrn de error simple */
		int foundPattern(const string pattern);
		void showAll(void);
};
