/*
 *
 * Copyright (C) 2006-2007  imaxin|software
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 * */

#include <iostream>
#include <string>
#include <pcrecpp.h>
#include <ctype.h>

#ifndef STRINGUTIL_H
#define STRINGUTIL_H
#include "StringUtil.h"
#endif
#define ERROR_TYPE_INVARIABLE_FIRST 1
#define ERROR_TYPE_SIMPLE			2
#define ERROR_TYPE_INVARIABLE		3
#define UPPER_NOTHING 0
#define UPPER_ALL	1
#define UPPER_FIRST 2

using namespace std;

class Util 
{
public:
	static int setPosErrorAndType(int value, int *pos_error, int *type);
	static int TrimVector(vector<string> *ptr);
	static int findStringInVector(const string text, const vector<string> list, int trim = 1);
	static int textInPhraseIsUpperCase(int pos);
	static string substitute(const string &source, const string &olds, const string &news);
	static string convertCase(const string source, int type);
	static vector<string> convertCase(const vector<string> source, int type);
	static int isUpper(const string text);
};
