/*
 *
 * Copyright (C) 2006-2007  imaxin|software
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 * */

#include <string>
#include <vector>

#define STRINGUTIL_H
using namespace std;

class StringUtil
{

public:

	static int SplitString(const string& input,
        		       const string& delimiter, vector<string>& results,
			       bool includeEmpties = true);

	static void Trim(string &input);
	static string ToUpper(const string input);
	static string ToLower(const string input);
	static string ReplaceAll(string input, string search, string replace);
	static int isUpper(const char input);
	static int isLower(const char input);
};

